declare module 'password-sheriff' {
  export class PasswordPolicy {
    constructor(input: Record<string, unknown>);
    public check(password: string): boolean;
    public toString(): string;
  }

  export class charsets {
    public static upperCase: CharSetHandler;
    public static lowerCase: CharSetHandler;
    public static specialCharacters: CharSetHandler;
    public static numbers: CharSetHandler;
  }

  export interface CharSetHandler {
    explain: () => Record<string, unknown>;
    test: (password: string) => boolean;
  }
}
